Bug 824735 - window2003 source machine with cciss storage driver hit "error loading operating system" after converted to libvirt.
window2003 source machine with cciss storage driver hit "error loading operat...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-p2v (Show other bugs)
6.3
x86_64 Linux
medium Severity high
: rc
: ---
Assigned To: Matthew Booth
:
Depends On:
Blocks: 1075802 1159926
  Show dependency treegraph
 
Reported: 2012-05-24 01:50 EDT by Daisy Wu
Modified: 2014-12-30 10:18 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-19 04:15:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen (16.56 KB, image/png)
2012-05-24 01:51 EDT, Daisy Wu
no flags Details
virt-p2v-server.1337777697.log (1.09 MB, text/plain)
2012-05-24 01:53 EDT, Daisy Wu
no flags Details
jwu-cciss-2003-64b_prev_inspect.log (2.02 KB, text/plain)
2012-05-24 01:54 EDT, Daisy Wu
no flags Details
jwu-cciss-2003-64b.xml (2.31 KB, text/plain)
2012-05-24 01:55 EDT, Daisy Wu
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 641953 None None None Never

  None (edit)
Description Daisy Wu 2012-05-24 01:50:36 EDT
Description of problem:
Both 32 and 64 bit of window2003 source machine with cciss storage driver hit "error loading operating system" after converted to libvirt. Conversion is successful but the guest can not load OS.

Version-Release number of selected component (if applicable):
virt-p2v-0.8.6-5.20120502.1.el6.iso
virt-v2v-0.8.7-6.el6.x86_64
libguestfs-1.16.19-1.el6.x86_64
libvirt-0.9.10-20.el6.x86_64
augeas-0.9.0-4.el6.x86_64
febootstrap-3.12-1.el6.x86_64
hivex-1.3.3-4.el6.x86_64
libguestfs-winsupport-1.0-7.el6.x86_64
virtio-win-1.5.1-1.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. Prepared source machine with cciss storage driver and install windows-2003-x86_64 OS or windows-2003-x86 OS, make sure it works fine.
2. Download the virt-p2v iso from brewweb.
3. Boot the source machine with virt-p2v from pxe,input the ip and password of conversion server,convert it to libvirt.
4. After convert successfully, boot the guest by virsh command or virt-manager.
5. Use virt-manager open the console.

Actual Results:
Display "error loading operating system", guest can not start normally.

Expected results:
Guest can load OS normally.

Additional info:
Hit the same issue after convert to rhevm and import to NFS/ISCSI/FC
Upload relative log:
# virt-inspector --perl  /home/p2v-jwu/jwu-cciss-2003-64b-cciss_c0d0 > jwu-cciss-2003-64b_prev_inspect.log
# virsh dumpxml jwu-cciss-2003-64b > jwu-cciss-2003-64b.xml
Comment 1 Daisy Wu 2012-05-24 01:51:57 EDT
Created attachment 586553 [details]
screen
Comment 2 Daisy Wu 2012-05-24 01:53:50 EDT
Created attachment 586554 [details]
virt-p2v-server.1337777697.log
Comment 4 Daisy Wu 2012-05-24 01:54:57 EDT
Created attachment 586555 [details]
jwu-cciss-2003-64b_prev_inspect.log
Comment 5 Daisy Wu 2012-05-24 01:55:55 EDT
Created attachment 586556 [details]
jwu-cciss-2003-64b.xml
Comment 7 RHEL Product and Program Management 2012-07-10 02:34:31 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 8 RHEL Product and Program Management 2012-07-10 21:58:19 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 9 RHEL Product and Program Management 2012-12-14 02:06:31 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 12 RHEL Product and Program Management 2013-10-27 07:06:06 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 21 RHEL Product and Program Management 2014-12-19 04:15:52 EST
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.